<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center"
    android:orientation="vertical"
    tools:ignore="MissingDefaultResource">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_black_default_shape"
        tools:ignore="MissingConstraints">

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_black_top_radius5_shape"
            android:paddingStart="@dimen/dp_13"
            android:paddingTop="@dimen/dp_12"
            android:paddingEnd="@dimen/dp_13"
            android:paddingBottom="@dimen/dp_8"
            android:text="请选择延时模式"
            android:textColor="@color/white"
            android:textSize="@dimen/dp_16"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
        <ImageView
            android:id="@+id/iv_close"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintEnd_toEndOf="parent"
            android:padding="@dimen/dp_10"
            app:layout_constraintTop_toTopOf="@+id/tv_title"
            app:layout_constraintBottom_toBottomOf="@+id/tv_title"
            android:src="@drawable/ic_gongge_close"/>

        <TextView
            android:id="@+id/tv_content"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_15"
            android:paddingStart="@dimen/dp_13"
            android:paddingEnd="@dimen/dp_13"
            android:text=""
            android:textColor="@color/white"
            android:textSize="@dimen/dp_16"
            app:layout_constraintEnd_toEndOf="@+id/tv_title"
            app:layout_constraintStart_toStartOf="@+id/tv_title"
            app:layout_constraintTop_toBottomOf="@+id/tv_title" />

        <com.cooleshow.base.widgets.ColorTextView
            android:id="@+id/btn_cancel"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_40"
            android:layout_marginStart="@dimen/dp_30"
            android:layout_marginTop="@dimen/dp_15"
            android:layout_marginBottom="@dimen/dp_15"
            android:paddingStart="@dimen/dp_40"
            android:gravity="center"
            android:paddingEnd="@dimen/dp_40"
            android:text="取消"
            android:textColor="@color/white"
            app:ctvBackground="@color/transparent"
            app:ctvBorderColor="@color/white"
            app:ctvBorderWidth="1dp"
            app:ctvCornerSize="4dp"
            android:textSize="@dimen/dp_14"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/btn_commit"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_content" />

        <com.cooleshow.base.widgets.ColorTextView
            android:id="@+id/btn_commit"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_40"
            android:layout_marginStart="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_15"
            android:layout_marginEnd="@dimen/dp_30"
            android:layout_marginBottom="@dimen/dp_15"
            android:gravity="center"
            android:paddingStart="@dimen/dp_40"
            android:paddingEnd="@dimen/dp_40"
            android:text="确认"
            android:textColor="@color/white"
            app:ctvCornerSize="4dp"
            app:ctvBackground="#656376"
            android:textSize="@dimen/dp_14"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/btn_cancel"
            app:layout_constraintTop_toBottomOf="@id/tv_content" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</LinearLayout>